package cn.com.qmth.stmms.ms.core.domain;

import cn.com.qmth.stmms.ms.core.vo.Subject;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 分组考生信息
 */
@Entity
@Table(name = "marker_group_student")
public class MarkerGroupStudent implements Serializable {

    @Id
    @GeneratedValue
    private Long id;

    private Long workId;

    private Subject subject;

    private MarkStage stage;

    private Long groupId;

    private String examNumber;

    private String name;

    private String areaCode;

    private String areaName;

    private String examRoom;

    private String school;

    private String sourceName;

    private Long batchNo;

    private Boolean used;

    public MarkerGroupStudent() {
    }

    public MarkerGroupStudent(Long workId, MarkStage stage, Subject subject, Long groupId, String examNumber, String name, String areaCode, String areaName, String examRoom, String school, String sourceName, Long batchNo) {
        this.workId = workId;
        this.subject = subject;
        this.stage = stage;
        this.groupId = groupId;
        this.examNumber = examNumber;
        this.name = name;
        this.areaCode = areaCode;
        this.areaName = areaName;
        this.examRoom = examRoom;
        this.school = school;
        this.sourceName = sourceName;
        this.batchNo = batchNo;
        this.used = false; // 默认未使用
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Subject getSubject() {
        return subject;
    }

    public void setSubject(Subject subject) {
        this.subject = subject;
    }

    public MarkStage getStage() {
        return stage;
    }

    public void setStage(MarkStage stage) {
        this.stage = stage;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public Long getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(Long batchNo) {
        this.batchNo = batchNo;
    }

    public Boolean getUsed() {
        return used;
    }

    public void setUsed(Boolean used) {
        this.used = used;
    }
}
